(** Configuration parameters. *)

(** {2 Default Tags} *)

val list_link_tag : string
val list_data_tag : string
val dl_Llink_tag : string
val dl_Rlink_tag : string
val tree_link_tags : string * string
val tree_data_tag : string

val is_value_field : string -> bool
val is_lock_field : string -> bool

(** {2 Options} *)

val verbose1 : bool ref
val verbose2 : bool ref
val show_induction : bool ref
val inductive_preds : bool ref
val all_states : bool ref
val allow_leaks : bool ref
val repetitions : int ref
val columns : int ref
val print_stats : bool ref
val pretty_print : bool ref
val forget_fields : bool ref
val value_abstraction : string ref
val prover_num : int ref

(** {2 Misc} *)

val formatter : Format.formatter ref
val usage_msg : string
val speclist : (string * Arg.spec * string) list

